Subject: Re: boot/simple in ROM?

From: emanuel stiebler <[email-masked]>
Date: Thu, 24 Apr 2003 12:29:38 -0600

Dan Malek wrote:
 >
 > The old PPCBoot, and probably the new U-boot, kind of perform
 > some of these functions.  The reason I'm not a fan of doing this
 > is if we make a change to the Linux calling sequence (which happens
 > rarely) you also have to update the boot rom to match.  Not a good
 > thing, IMHO.

That's a very small price to pay for all the luxury of having a smarter
boot-monitor.

And, how many times was the linux calling sequence changed in the last
two years ?

cheers

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/